package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMeterDataReportType {

    VALID(0, "全量"),
    HOUR(1, "时"),
    DAY(2, "日"),
    MONTH(3, "月"),
    BY_HOUR(4, "时分");
    public static EnumMeterDataReportType getEnum(Integer code) {
        for (EnumMeterDataReportType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMeterDataReportType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
